import vrml.*;
import vrml.field.*;
import vrml.node.*;
import java.lang.Math.*;

public class Ufo extends Script {
    private SFVec3f pos_changed;

    /*  \bh@*/
    public void initialize() {
        pos_changed=(SFVec3f)getEventOut("pos_changed");
    }

    /*  Cxg\bh@*/
    public void processEvent(Event e) {
        set_orbit((ConstSFFloat)e.getValue());
    }

    /*  Q\bh@*/
    private void set_orbit(ConstSFFloat v){ 
        float t=v.getValue();
        float[] pos={0,0,0};
        float a=5;
        pos[0]=(float)(a*Math.sin(2*2*3.14*t));
        pos[1]=(float)(a*Math.sin(3*2*3.14*t));
        pos[2]=(float)(a*Math.cos(2*2*3.14*t));
        pos_changed.setValue(pos);
    }
}